##############################################################################
#
#----------------------------------------------------------------------------------------------------------------------------------------
#   replacements.py
#
#   Definitions for simple replacements in ZMI codes
#
#   Copyright (c) 2004 Zope Japan KK.(Atsushi Shibata)
#   All Rights Reserved.
#----------------------------------------------------------------------------------------------------------------------------------------
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################

__doc__="""replacements.py : List for simple replacements'
$Id: replacements.py,v 1.6 2004/12/24 08:12:33 ats_shib Exp $"""

__version__='$Revision: 1.6 $'[11:-2]

#List for simple replacements

replace_list = (\
#Patch for top frame(insert manage_page_header to set content type)
('/lib/python/App/dtml/manage_top_frame.dtml',),\
{"""<head>""": \
"""<head>
<dtml-unless management_page_charset>
<dtml-call "REQUEST.set('management_page_charset','utf-8')">
</dtml-unless>
<meta http-equiv=\"content-type\" content=\"text/html;charset=&dtml-management_page_charset;\" />
<dtml-call \"RESPONSE.setHeader('content-type','text/html;charset='+management_page_charset)\">"""},

#Patch for manage tabs(to call PlacelessTranslationService)
('/lib/python/App/dtml/manage_tabs.dtml',
'/Products/ExternalEditor/manage_tabs.dtml'),\
{"""   >><span style="color: #000000;"><strong><dtml-var "s_item['label']"
   ></strong></span></a>&nbsp;</font></td>""":
"""   >><span style="color: #000000;"><strong><dtml-try
   ><dtml-var "_.translate_tab(this(),s_item['label'],REQUEST)"
   ><dtml-except
   ><dtml-var "s_item['label']"
   ></dtml-try
   ></strong></span></a>&nbsp;</font></td>""",
"""<div class="system-msg">
<dtml-var manage_tabs_message newline_to_br> 
(<dtml-var ZopeTime fmt="%Y-%m-%d %H:%M">)
</div>""":
"""<div class="system-msg">
<dtml-var "_.translate_message(manage_tabs_message,REQUEST)" newline_to_br> 
(<dtml-var ZopeTime fmt="%Y-%m-%d %H:%M">)
</div>""",
},\

#Patch for manage_page_header(to forse set charset to utf-8)
('/lib/python/App/dtml/manage_page_header.dtml',),
{"""<dtml-call "REQUEST.set('management_page_charset','iso-8859-1')">""":
"""<dtml-call "REQUEST.set('management_page_charset','utf-8')">"""},
('/lib/python/OFS/dtml/properties.dtml',),
{"""<dtml-call "REQUEST.set('management_page_charset','UTF-8')">""":
"""<dtml-call "REQUEST.set('management_page_charset','utf-8')">""",
"""<dtml-if "REQUEST['management_page_charset'] == 'UTF-8'">""":
"""<dtml-if "REQUEST['management_page_charset'] == 'utf-8'">"""},


#Patch for DTML edit form(to change 'name' for submit buttons)
('/lib/python/OFS/dtml/documentEdit.dtml',),
{"""  <input class="form-element" type="submit" name="SUBMIT" value="Taller">
  <input class="form-element" type="submit" name="SUBMIT" value="Shorter">
  <input class="form-element" type="submit" name="SUBMIT" value="Wider">
  <input class="form-element" type="submit" name="SUBMIT" value="Narrower">""":
"""  <input class="form-element" type="submit" name="SUBMIT/replace2/Taller" value="  <dtml-translate domain=zmi>Taller</dtml-translate>  ">
  <input class="form-element" type="submit" name="SUBMIT/replace2/Shorter" value="<dtml-translate domain=zmi>Shorter</dtml-translate>">
  <input class="form-element" type="submit" name="SUBMIT/replace2/Wider" value="<dtml-translate domain=zmi>Wider</dtml-translate>">
  <input class="form-element" type="submit" name="SUBMIT/replace2/Narrower" value="<dtml-translate domain=zmi>Narrower</dtml-translate>">"""},

('/lib/python/AccessControl/dtml/mainUser.dtml',),
{"""<input class="form-element" type="submit" name="submit" value="Add..." />""":
"""<input class="form-element" type="submit" name="submit/replace2/Add..." value="<dtml-translate domain=zmi>Add...</dtml-translate>" />""",
"""<input class="form-element" type="submit" name="submit" value="Delete" />""":
"""<input class="form-element" type="submit" name="submit/replace2/Delete" value="<dtml-translate domain=zmi>Delete</dtml-translate>" />""",},

('/lib/python/AccessControl/dtml/addUser.dtml',),
{"""<input type="submit" name="submit" value="Add" />""":
"""<input type="submit" name="submit/replace2/Add" value="<dtml-translate domain=zmi>Add</dtml-translate>" />""",},

('/lib/python/AccessControl/dtml/editUser.dtml',),
{"""<INPUT class="form-element" TYPE="SUBMIT" NAME="submit" VALUE="Change" />""":
"""<INPUT class="form-element" TYPE="SUBMIT" NAME="submit/replace2/Change" value="<dtml-translate domain=zmi>Change</dtml-translate>" />""",},
('/lib/python/Products/PageTemplates/www/ptEdit.zpt',),
{"""  <input class="form-element" type="submit" name="height" value="Taller">
  <input class="form-element" type="submit" name="height" value="Shorter">
  <input class="form-element" type="submit" name="width" value="Wider">
  <input class="form-element" type="submit" name="width" value="Narrower">""":
"""  <input class="form-element" type="submit" name="height/replace2/Taller" value="Taller" i18n:attributes="value" i18n:domain="zmi">
  <input class="form-element" type="submit" name="height/replace2/Shorter" value="Shorter" i18n:attributes="value" i18n:domain="zmi">
  <input class="form-element" type="submit" name="width/replace2/Wider" value="Wider" i18n:attributes="value" i18n:domain="zmi">
  <input class="form-element" type="submit" name="width/replace2/Narrwer" value="Narrower" i18n:attributes="value" i18n:domain="zmi">""",
"""      <a href="source.html" tal:condition="here/html">Browse HTML source</a>
      <a href="source.xml" tal:condition="not:here/html">Browse XML source</a>""":
"""      <a href="source.html" tal:condition="here/html" i18n:translate="" i18n:domain="zmi">Browse HTML source</a>
      <a href="source.xml" tal:condition="not:here/html" i18n:translate="" i18n:domain="zmi">Browse XML source</a>""",},
('/lib/python/App/dtml/zope_quick_start.dtml',),
{"""<html>""":\
"""<html>
<dtml-unless management_page_charset>
<dtml-call "REQUEST.set('management_page_charset','utf-8')">
</dtml-unless>
<meta http-equiv=\"content-type\" content=\"text/html;charset=&dtml-management_page_charset;\" />
<dtml-call \"RESPONSE.setHeader('content-type','text/html;charset='+management_page_charset)\">""",
},
#Patch for Debug info
('/lib/python/App/dtml/debug.dtml',),
{"""<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>""":
"""<dtml-var manage_page_header>""",},

)



if __name__ == '__main__':
    #Test codes...
    print len(replace_list)
    prepath = ''
    for item in desc_list:
        if type(item) == type((1,)):
            if prepath == item:
                print ">>>",prepath
            prepath = item
        else:
            pass

